  //Maintanace Page for Checking the Heathcheck
  import React, {Component } from 'react';
import { View, Text, Dimensions, StyleSheet } from 'react-native';
import NetInfo from '@react-native-community/netinfo';
import Snackbar from 'react-native-snackbar';
export default class Main extends Component {

  Maintenance = () => {
    NetInfo.fetch().then(state => {
      if (state.type == "none" || state.type == "unknown") {
        console.log(state.type);
        Snackbar.show({
          title: 'No Internet Connection',
          backgroundColor: '#b52424',
          textAlign:'center',
          alignItems: 'center',
          duration: Snackbar.LENGTH_LONG,
        });
     
      } 
      else {
        fetch(API + "healthCheck.php")
          .then((response) => response.json())
          .then((responseJson) => {
            if (responseJson.dbconnect === 'dbconnected') {
            if (responseJson.status === 'True') {

              // this.props.navigation.dispatch(resetAction)
            }
            else {
              this.props.navigation.navigate('Maintenance');
            }}
            else {
              this.props.navigation.navigate('Maintenance');
            }
          })
          .catch((error) => {
            this.props.navigation.navigate('Maintenance');
            console.log(error);

          });
      }
    });

  };
}
